RipanWinkle_First_Introduction_Triggered=false
function onTalk()
    --一些基础设置
    disableMovement()
    local dialog_choice=1
    RipanWinkle_First_Introduction_Triggered=getFlag("RipanWinkle_First_Introduction_Triggered")
    if RipanWinkle_First_Introduction_Triggered==false then
        say("RipanWinkle_Journal1")
    else
        dialog_choice=choice("RipanWinkle_UI_4","RipanWinkle_UI_5")
        if dialog_choice==1 then
            say("RipanWinkle_Journal1")
        else 
            say("RipanWinkle_Journal2")
        end
    end
    


end

function onEnd()
    enableMovement()
end